Forum Stats

  • 3,838,255 Users
  • 2,262,346 Discussions
  • 7,900,558 Comments

Discussions

Failed to install oracle-database-preinstall-19c on oracle linux 8.3 - GPG check FAILED

User_GSQTY
User_GSQTY Member Posts: 99 Silver Badge
edited Jun 29, 2022 3:01PM in Oracle Linux

O/S : linux 8.3

Kernel : 5.4.17-2036.103.3.1.el8uek.x86_64

Issue : I trying to install oracle-database-preinstall-19c on oracle linux 8.3 and got error : GPG check FAILED

Command : dnf install oracle-database-preinstall-19c

And I got the following output. Has anyone got this issue and found a solution ?

Thanks

[[email protected] ~]# dnf install oracle-database-preinstall-19c
Last metadata expiration check: 0:21:35 ago on Wed 29 Jun 2022 10:25:26 AM EDT.
Dependencies resolved.
===================================================================================================================================================================================== Package                       Architecture        Version                        Repository               Size
=====================================================================================================================================================================================Installing:
 oracle-database-preinstall-19c           x86_64           1.0-3.el7                       ol7_latest               27 k
Installing dependencies:
 compat-libcap1                   x86_64           1.10-7.el7                       ol7_latest               17 k
 ksh                         x86_64           20120801-254.0.1.el8                  ol8_appstream             927 k
 libaio-devel                    x86_64           0.3.112-1.el8                     ol8_baseos_latest            19 k
 lm_sensors-libs                   x86_64           3.4.0-23.20180522git70f7e08.el8            ol8_baseos_latest            59 k
 sysstat                       x86_64           11.7.3-7.el8                      ol8_appstream             425 k

Transaction Summary
=====================================================================================================================================================================================Install 6 Packages

Total size: 1.4 M
Total download size: 27 k
Installed size: 4.8 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] compat-libcap1-1.10-7.el7.x86_64.rpm: Already downloaded
[SKIPPED] libaio-devel-0.3.112-1.el8.x86_64.rpm: Already downloaded
[SKIPPED] lm_sensors-libs-3.4.0-23.20180522git70f7e08.el8.x86_64.rpm: Already downloaded
[SKIPPED] ksh-20120801-254.0.1.el8.x86_64.rpm: Already downloaded
[SKIPPED] sysstat-11.7.3-7.el8.x86_64.rpm: Already downloaded
(6/6): oracle-database-preinstall-19c-1.0-3.el7.x86_64.rpm                                              122 kB/s | 27 kB   00:00
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------Total                                                                        117 kB/s | 27 kB   00:00
warning: /var/cache/dnf/ol7_latest-31ccda58762f86b1/packages/compat-libcap1-1.10-7.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Oracle Linux 8 Latest (x86_64)                                                            3.0 MB/s | 3.1 kB   00:00
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle (0xAD986DA3) is already installed
The GPG keys listed for the "Oracle Linux 8 Latest (x86_64)" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.. Failing package is: compat-libcap1-1.10-7.el7.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle
Public key for oracle-database-preinstall-19c-1.0-3.el7.x86_64.rpm is not installed. Failing package is: oracle-database-preinstall-19c-1.0-3.el7.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED
[[email protected] ~]
Tagged:

Best Answer

  • User_GSQTY
    User_GSQTY Member Posts: 99 Silver Badge
    Answer ✓

    I just reinstalled oracle linux 8.3 from scratch and I was able to intall oracle-database-preinstall-19c version 8.

    So I must have done something wrong without realizing it .

    This is a test VM.

    Thanks everyone.

Answers

  • Anwar Sadat_Orakl
    Anwar Sadat_Orakl Member Posts: 8 Blue Ribbon

    Hi,

    Instead of dnf can you try yum

    yum install -y oracle-database-preinstall-19c
    


  • remzi.akyuz
    remzi.akyuz Member Posts: 198 Bronze Badge
    edited Jul 1, 2022 7:02AM

    Hi,

    I see you want to use oracle enterprise linux 7 packages on oracle enterprise linux 8!

     oracle-database-preinstall-19c           x86_64           1.0-3.el7                       ol7_latest               27 k
    Installing dependencies:
     compat-libcap1                   x86_64           1.10-7.el7                       ol7_latest               17 k
     ksh                         x86_64           20120801-254.0.1.el8                  ol8_appstream             927 k
     libaio-devel                    x86_64           0.3.112-1.el8                     ol8_baseos_latest            19 k
     lm_sensors-libs                   x86_64           3.4.0-23.20180522git70f7e08.el8            ol8_baseos_latest            59 k
     sysstat                       x86_64           11.7.3-7.el8                      ol8_appstream   
    

    Its wrong way, you should not use packages of ol7 on the ol8.

    Becarefull.

    Good luck.

  • User_GSQTY
    User_GSQTY Member Posts: 99 Silver Badge
    Answer ✓

    I just reinstalled oracle linux 8.3 from scratch and I was able to intall oracle-database-preinstall-19c version 8.

    So I must have done something wrong without realizing it .

    This is a test VM.

    Thanks everyone.